Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2055254

Summary: MinGW UCRT target
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Marc-Andre Lureau <marcandre.lureau>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 37CC: bcotton, bgilbert, marcandre.lureau
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-11-15 16:22:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2016049    

Description Ben Cotton 2022-02-16 14:23:49 UTC
This is a tracking bug for Change: MinGW UCRT target
For more details, see: https://fedoraproject.org/wiki/Changes/F37MingwUCRT

This proposal is to add the UCRT target & support from Fedora to the MinGW cross-toolchains.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Fedora Update System 2022-02-22 20:27:25 UTC
FEDORA-2022-7b117a1054 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7b117a1054

Comment 2 Fedora Update System 2022-02-22 20:30:18 UTC
FEDORA-2022-7b117a1054 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Marc-Andre Lureau 2022-02-22 20:36:57 UTC
Didn't think "Related to rhbz#2055254" would close the bug. Let's reopen.

Comment 4 Fedora Update System 2022-02-22 21:32:10 UTC
FEDORA-2022-97551ea773 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-97551ea773

Comment 5 Fedora Update System 2022-02-22 21:33:18 UTC
FEDORA-2022-97551ea773 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Ben Cotton 2022-02-22 21:37:49 UTC
Bad Bodhi. No cookie.

Comment 7 Fedora Update System 2022-03-02 07:44:26 UTC
FEDORA-2022-04acc2d506 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-04acc2d506

Comment 8 Fedora Update System 2022-03-02 07:54:21 UTC
FEDORA-2022-04acc2d506 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Ben Cotton 2022-03-02 21:49:35 UTC
Seems like this is at least testable at this point? Setting to MODIFIED in defiance of Bodhi.

Comment 10 Marc-Andre Lureau 2022-03-07 07:26:30 UTC
(In reply to Ben Cotton from comment #9)
> Seems like this is at least testable at this point? Setting to MODIFIED in
> defiance of Bodhi.

yes, we can start testing phase and packaging libraries. For ex: https://src.fedoraproject.org/rpms/mingw-zlib/pull-request/3

Comment 11 Benjamin Gilbert 2022-08-06 16:55:24 UTC
Is the intent to provide only a 64-bit UCRT target?  I distribute a DLL built with the Fedora toolchain that I'd like to switch to the UCRT, but it's hard to justify switching the 64-bit build if I can't also switch the 32-bit one.

Comment 12 Marc-Andre Lureau 2022-08-08 11:06:08 UTC
(In reply to Benjamin Gilbert from comment #11)
> Is the intent to provide only a 64-bit UCRT target? 

yes

> I distribute a DLL
> built with the Fedora toolchain that I'd like to switch to the UCRT, but
> it's hard to justify switching the 64-bit build if I can't also switch the
> 32-bit one.

Provide both UCRT & VCRT versions?

Comment 13 Ben Cotton 2022-08-23 19:21:11 UTC
Today we reached the Code Complete (100% complete) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be 100% complete. You can indicate this by setting this tracker to the ON_QA status. If you need to defer this Change to F38 please NEEDINFO me.

Note that we are entering the Beta freeze. Additional package changes to complete this Change will need an approved blocker or freeze exception. See https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process and https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process for more information.

Changes that have not reached the ON_QA status will be given to FESCo for evaluation of contingency plans.

Comment 14 Ben Cotton 2022-11-15 16:22:28 UTC
F37 was released today, so I am closing this tracker. If this Change was not completed, please notify me ASAP.